summaryrefslogtreecommitdiffstats
path: root/games/jg-vecx
diff options
context:
space:
mode:
Diffstat (limited to 'games/jg-vecx')
-rw-r--r--games/jg-vecx/README15
-rw-r--r--games/jg-vecx/jg-vecx.SlackBuild80
-rw-r--r--games/jg-vecx/jg-vecx.info10
-rw-r--r--games/jg-vecx/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/games/jg-vecx/README b/games/jg-vecx/README
new file mode 100644
index 0000000000..5ff1d17f59
--- /dev/null
+++ b/games/jg-vecx/README
@@ -0,0 +1,15 @@
+jg-vecx (Vectrex emulation core for Jolly Good Emulation)
+
+Vecx JG is an emulator for the Vectrex.
+
+This is a fork of the original, unmodified vecx sources made available
+by Valavan Manohararajah at http://www.valavan.net/vectrex.html. Many
+new features have been added since the fork was created. The emulator
+now contains a new renderer, save states, and support for PSG and DAC
+based audio.
+
+Filenames supported: .vec
+To run files with other extensions: jollygood -c vecx <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
diff --git a/games/jg-vecx/jg-vecx.SlackBuild b/games/jg-vecx/jg-vecx.SlackBuild
new file mode 100644
index 0000000000..bf79e9b51c
--- /dev/null
+++ b/games/jg-vecx/jg-vecx.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Slackware build script for jollycv
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-vecx
+SRCNAM=vecx
+VERSION=${VERSION:-1.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-vecx/jg-vecx.info b/games/jg-vecx/jg-vecx.info
new file mode 100644
index 0000000000..a291043c75
--- /dev/null
+++ b/games/jg-vecx/jg-vecx.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-vecx"
+VERSION="1.2.2"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/vecx/-/archive/1.2.2/vecx-1.2.2.tar.gz"
+MD5SUM="57bab6f45e267c8493553176dcf28c9c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-vecx/slack-desc b/games/jg-vecx/slack-desc
new file mode 100644
index 0000000000..6760ac914e
--- /dev/null
+++ b/games/jg-vecx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-vecx: jg-vecx (Vectrex emulation core for Jolly Good Emulation)
+jg-vecx:
+jg-vecx: Vecx JG is an emulator for the Vectrex.
+jg-vecx:
+jg-vecx: This is a fork of the original, unmodified vecx sources made available
+jg-vecx: by Valavan Manohararajah at http://www.valavan.net/vectrex.html. Many
+jg-vecx: new features have been added since the fork was created. The emulator
+jg-vecx: now contains a new renderer, save states, and support for PSG and DAC
+jg-vecx: based audio.
+jg-vecx:
+jg-vecx: